export declare class WBLogAdapter {
    private constructor();
    private static instance;
    private _logListener;
    static getInstance(): WBLogAdapter;
    getLogsListener(): OnLogsListener | undefined;
    setLogsListener(s: OnLogsListener): void;
}
export declare class LogsListener implements OnLogsListener {
    constructor();
    onLogs(o: LogLevel, p: number, q: string, r: string): void;
}
export declare enum LogLevel {
    DEBUG = 3,
    INFO = 4,
    WARN = 5,
    ERROR = 6,
    FATAL = 7
}
export default interface OnLogsListener {
    onLogs(level: LogLevel, domain: number, tag: string, message: string): void;
}
